/* $Id: State.java 475 2011-12-02 08:46:54Z ohura $ */
package smart_gs.drawing_tool.state;

import java.awt.Graphics;

import smart_gs.drawing_tool.SpreadCanvas;
import smart_gs.swingui.GSMouseEvent;

public interface State {
	public static int DEFAULT = 0;
	public static int UNISELECTED = 1;
	public static int MULTISELECTED = 2;
	
	public abstract void mouseClicked(GSMouseEvent e,SpreadCanvas canvas);
	public abstract void mouseEntered(GSMouseEvent e,SpreadCanvas canvas);
	public abstract void mouseExited(GSMouseEvent e,SpreadCanvas canvas);
	public abstract void mousePressed(GSMouseEvent e,SpreadCanvas canvas);
	public abstract void mouseReleased(GSMouseEvent e,SpreadCanvas canvas);
	public abstract void mouseDragged(GSMouseEvent e,SpreadCanvas canvas);
	public abstract void mouseMoved(GSMouseEvent e,SpreadCanvas canvas);
	public abstract void paint(Graphics g,SpreadCanvas canvas);
	public abstract int getType();
}
